# Class ZBufferPaperType3D

java.lang.Object
uk.ac.starlink.ttools.plot2.paper.RgbPaperType
uk.ac.starlink.ttools.plot2.paper.RgbPaperType3D
uk.ac.starlink.ttools.plot2.paper.ZBufferPaperType3D

All Implemented Interfaces:
  `PaperType, PaperType3D`

public class ZBufferPaperType3D extends RgbPaperType3D
Bitmapped 3D PaperType for opaque pixels only.

It uses a Z-buffer to record the current frontmost colour at each pixel position and overwrites the colour only if a pixel at the same or a smaller Z-coordinate is plotted at the same graphics position.

Since:
  14 Feb 2013
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class RgbPaperType3D

`RgbPaperType3D.RgbPaper3D`

### Nested classes/interfaces inherited from class RgbPaperType

`RgbPaperType.RgbPaper`

## Constructor Summary

Constructors
Constructor
Description
`ZBufferPaperType3D()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected RgbPaperType3D.RgbPaper3D`
`createPaper3D(Rectangle bounds)`
Creates a 3D paper object for given bounds.

### Methods inherited from class RgbPaperType3D

`createPaper, placeGlyph`

### Methods inherited from class RgbPaperType

`createDataIcon, isBitmap, placeDecal, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface PaperType

`createDataIcon, isBitmap, placeDecal`

## Constructor Details

### ZBufferPaperType3D

public ZBufferPaperType3D()
Constructor.

## Method Details

### createPaper3D

protected RgbPaperType3D.RgbPaper3D createPaper3D(Rectangle bounds)
Description copied from class: `RgbPaperType3D`
Creates a 3D paper object for given bounds.

Specified by:
  `createPaper3D` in class `RgbPaperType3D`
Parameters:
  `bounds` - plot bounds
Returns:
  new 3d paper instance